@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp., 2011
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@setlocal
@echo off

set binDir=%~p0
if exist "%~dp0setupCmdLine.bat" (
   call "%~dp0setupCmdLine.bat"
)

@REM ##########################################################
@REM Setting JAVA_HOME env variable.
@REM
@REM WARNINGS
@REM [1] Enclosing the path in quotes can cause issues
@REM and prevent the script from executing.
@REM #########################################################
@REM Uncomment the following line and specify the path to the java directory.
@REM set JAVA_HOME=

set JAVA_PATH=%JAVA_HOME%
if not exist "%JAVA_PATH%\java.exe" (
   set JAVA_PATH="%JAVA_HOME%\bin"
)
for /f "useback tokens=*" %%a in ('%JAVA_PATH%') do set JAVA_PATH=%%~a

if not exist "%JAVA_PATH%\java.exe" (
   set JAVA_PATH="%JAVA_HOME%\jre\bin"
)
for /f "useback tokens=*" %%a in ('%JAVA_PATH%') do set JAVA_PATH=%%~a

if not exist "%JAVA_PATH%\java.exe" (
   echo "Error: %JAVA_PATH%\java.exe does not exist.  JAVA_HOME is not set correctly."
   goto end
)

set ARGS=
set OUTDIR_FLAG=false
:setArgs
 if ""%1""=="""" goto doneSetArgs
 set ARGS=%ARGS% %1
 if %1 == -outdir set OUTDIR_FLAG=true
 if %1 == -outDir set OUTDIR_FLAG=true
 shift
 goto setArgs
:doneSetArgs


set JAVA_TOOLS="%JAVA_HOME%\lib\tools.jar"
if not exist %JAVA_TOOLS% (
   set JAVA_TOOLS="%JAVA_HOME%\..\lib\tools.jar"
)
for /f "useback tokens=*" %%a in ('%JAVA_TOOLS%') do set JAVA_TOOLS=%%~a

if not defined OBJECTGRID_HOME (
   goto ws
)

cd %binDir%\..\.
SET PATH=%XS_PATH%
"%JAVA_PATH%\java" "-classpath" "%JAVA_TOOLS%";"%OBJECTGRID_HOME%\properties";"%OBJECTGRID_HOME%\lib\objectgrid.jar";"%OBJECTGRID_HOME%\lib\ogclient.jar";"%OBJECTGRID_HOME%\lib\wxsloganalyzer.jar" %JAVA_ENDORSED_DIRS% com.ibm.ws.objectgrid.healthcenter.log.replay.LogReplayer %ARGS%
goto end

:ws
if defined WAS_PATH (
   SET PATH=%WAS_PATH%
)

cd %binDir%\..\.
if exist "%binDir%..\lib\wxsloganalyzerStandalone.jar" (
   "%JAVA_PATH%\java" -classpath lib\wxsloganalyzerStandalone.jar com.ibm.ws.objectgrid.healthcenter.log.replay.LogReplayer %ARGS%
) else (
   "%JAVA_PATH%\java" "-classpath" "%JAVA_TOOLS%;%WAS_CLASSPATH%" %WAS_LOGGING% %CONSOLE_ENCODING% "-Dws.ext.dirs=%WAS_EXT_DIRS%;%WAS_HOME%\plugins" "-Dwas.install.root=%WAS_HOME%" "-Duser.install.root=%USER_INSTALL_ROOT%" "-Dobjectgrid.home=%WAS_HOME%" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.objectgrid.healthcenter.log.replay.LogReplayer %ARGS%
)
goto end

:end
@endlocal